Bug 7203 - Reopening bugs is gone?
Reopening bugs is gone?
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 1999-11-21 12:12 EST by Aleksey Nogin
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-11-22 14:42:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 1999-11-21 12:12:05 EST
Bugzilla used to allow people to reopen bugs. If fact, adding any comment
to a closed bug (at least - by a non-proveleged person like me) was
reopening it.

I just added some comments to bug #7161, but that didn't reopen it (while I
hoped it would be reopened).
Comment 1 David Lawrence 1999-11-21 12:20:59 EST
Bug 7161 shows you as the reporter of the bug so you should have had a box
containing the radio button to reopen the bug. If you see that box at all and
you just add a comment then it does not automatically reopen it. I am discussing
with others now whether to have the bug automatically reopen when a
non-reporter/assigned to person adds a comment to a bug but until then only the
reporter, assigned to, or a privileged person such as Red Hat personnel can
reopen it. If a public person adds a comment the reporter will still get email
updates about it and they can reopen it themselves if convinced to do so.
Comment 2 Aleksey Nogin 1999-11-21 14:19:59 EST
In the previous version of Bugzilla the rado button did exist, but had only one
option - "Reopen this report" (or something similar). Since there was no other
option available, it was always selected (I believe it is different in
Netscape/Windows, but in Netscape/X11 the only selectbutton option is always
selected), so the end result was - adding any comment to close report opened it.

But in the current verison of Bugzilla I do not see any way of reopening bug
reports, even ones that I have reported (for example, I could not reopen neither
bug #7161, nor bug #7203).
Comment 3 David Lawrence 1999-11-22 12:01:59 EST
Ok, i think i have this one fixed also. Please try to bring up reports that you
have created. You should now see the option to reopen the bug. Thanks.
Comment 4 Aleksey Nogin 1999-11-22 14:13:59 EST
I just opened the bug #41 (path in Bugzilla cookies) and it worked almost fine.

But there are several problems:
1) Repopening the bug didn't clean the "Resolution" field, which it probably
should do.

2) When I reopen a bug, it still has the old "Assigned To" field. This should be
OK for most case, but when somebody reopens a really old bug (like #41), the
"Assigned To" field may be really outdated. Do you think somethjing should be
done about it?

3) "Change State or Resolution" menu currently has a "Mark bug as VERIFIED" in
it. Do you think reporters should have it in their menus?
Comment 5 Aleksey Nogin 1999-11-22 14:21:59 EST
3b) "Accept bug (change status to ASSIGNED)" shouldn't be there neither. I am
not sure about "Reassign bug ...". But IMHO "Resolve bug..." should stay - this
would allow people to close their bug reports when they realize that the "bug"
was a result if their mistakes or if the bug was fixed in later version of a
Comment 6 David Lawrence 1999-11-22 14:42:59 EST
1) Leaving the last resolution is helpful from a developers standpoint because
if there are many choices of resolution, they can see what the last developer
(or themselves) closed it under. If you notice there is also a new choice from
the old bugzilla that will "Clear the resolution (remove the current resolution
of blah)" which will leave it as only REOPENED similar to the way the old system

2) Number 2 is a good point. Currently a REOPENED bug retains whatever
assigned_to status the bug currently has as you stated. It should in the near
future poll the current list of package owners and see if the default owner has
changed and update accordingly. As a workaround the "Reassign bug to owner of
selected component" choice will currently accomplish the same thing but it is
unfortunately an extra step. I will put this on my request list.

3) The way Bugzilla currently allows/disallows bug changes is by
reporter/assigned_to/privileged which is why you see the "Accept bug", "Mark as
verified", etc. I hope to have more security and flexibility in what choices can
be made and by who. This requires alot more database lookups and would make a
bug report display slower. But it is currently on my todo list.

Note You need to log in before you can comment on or make changes to this bug.